pcl::AdaptiveRangeCoder Class Reference

AdaptiveRangeCoder compression class More...

`#include <pcl/compression/entropy_range_coder.h>`

## Public Member Functions

| AdaptiveRangeCoder ()
| Empty constructor. More...
virtual | ~AdaptiveRangeCoder ()
| Empty deconstructor. More...
unsigned long | encodeCharVectorToStream (const std::vector< char > &inputByteVector_arg, std::ostream &outputByteStream_arg)
| Encode char vector to output stream. More...
unsigned long | decodeStreamToCharVector (std::istream &inputByteStream_arg, std::vector< char > &outputByteVector_arg)
| Decode char stream to output vector. More...

## Protected Types

typedef boost::uint32_t | DWord

## Detailed Description

AdaptiveRangeCoder compression class

Note
  This class provides adaptive range coding functionality.
  Its symbol probability/frequency table is adaptively updated during encoding

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 68 of file entropy_range_coder.h.

## Member Typedef Documentation

## DWord

typedef boost::uint32_t pcl::AdaptiveRangeCoder::DWord

protected

Definition at line 101 of file entropy_range_coder.h.

## Constructor & Destructor Documentation

## AdaptiveRangeCoder()

pcl::AdaptiveRangeCoder::AdaptiveRangeCoder | ( |  | ) |

inline

Empty constructor.

Definition at line 74 of file entropy_range_coder.h.

## ~AdaptiveRangeCoder()

virtual pcl::AdaptiveRangeCoder::~AdaptiveRangeCoder | ( |  | ) |

inline virtual

Empty deconstructor.

Definition at line 80 of file entropy_range_coder.h.

References decodeStreamToCharVector(), and encodeCharVectorToStream().

## Member Function Documentation

## decodeStreamToCharVector()

unsigned long pcl::AdaptiveRangeCoder::decodeStreamToCharVector | ( | std::istream & | inputByteStream_arg,
|  | std::vector< char > & | outputByteVector_arg
| ) |  |

Decode char stream to output vector.

Parameters

  inputByteStream_arg | input stream of compressed data
  outputByteVector_arg | decompressed output vector

Returns
  amount of bytes read from input stream

Definition at line 143 of file entropy_range_coder.hpp.

Referenced by ~AdaptiveRangeCoder(), and pcl::StaticRangeCoder::~StaticRangeCoder().

## encodeCharVectorToStream()

unsigned long pcl::AdaptiveRangeCoder::encodeCharVectorToStream | ( | const std::vector< char > & | inputByteVector_arg,
|  | std::ostream & | outputByteStream_arg
| ) |  |

Encode char vector to output stream.

Parameters

  inputByteVector_arg | input vector
  outputByteStream_arg | output stream containing compressed data

Returns
  amount of bytes written to output stream

Definition at line 55 of file entropy_range_coder.hpp.

Referenced by ~AdaptiveRangeCoder(), and pcl::StaticRangeCoder::~StaticRangeCoder().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/io/include/pcl/compression/entropy_range_coder.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/io/include/pcl/compression/impl/entropy_range_coder.hpp